resetPassword
Overview
Sets a new password using the pk and token from a password reset link.
Signature
resetPassword(payload)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| payload | object | yes | The request body. |
payload Properties
| Name | Type | Required | Default | Description |
|---|---|---|---|---|
| password | string | The new password. | ||
| password_confirm | string | The new password again, for confirmation. | ||
| pk | string | The encoded user id from the reset link. | ||
| token | string | The reset token from the reset link. |
Returns
Promise
The decoded response data; undefined on success.
Source
client/lib/stores/storeUser.js:671